Package org.apache.lucene.spatial3d.geom

# Interface GeoSizeable

All Known Subinterfaces:
  `GeoBBox`, `GeoCircle`, `GeoPointShape`

All Known Implementing Classes:
  `GeoDegenerateVerticalLine`

public interface GeoSizeable
Some shapes can compute radii of a geocircle in which they are inscribed.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GeoPoint`
  `getCenter()`
  Returns the center of a circle into which the area will be inscribed.
  `double`
  `getRadius()`
  Returns the radius of a circle into which the GeoSizeable area can be inscribed.

- ## Method Details

  - ### getRadius

    double getRadius()
    Returns the radius of a circle into which the GeoSizeable area can be inscribed.
    Returns:
      the radius.

  - ### getCenter

    GeoPoint getCenter()
    Returns the center of a circle into which the area will be inscribed.
    Returns:
      the center.